Subject: bug#16825: 24.3: conflicting types for `rpl_readlink' on powerpc-apple-darwin

From: Jan Djärv <[email-masked]>
Date: Fri, 21 Feb 2014 10:16:30 +0100

Hi. 

> 21 feb 2014 kl. 09:54 skrev Paul Eggert <[email-masked]>:
> 
> Emacs uses a unistd.h wrapper to work around porting issues to various platforms.  One issue is that older Mac OS X releases have a non-POSIX API for 'readlink'.
> 
> Just to confirm, are you running Mac OS X 10.3.9 ("Panther")?
> 

Emacs trunk refuses to build on anything older than 10.4, so why bother?

    Jan D. 

> Could you please the output of gcc -E on that file?  Something like this:
> 
> gcc -E -std=gnu99 -DHAVE_CONFIG_H -I. \
> -I/Volumes/UFS_exp2/exptools/expmake/build/gnuemacs2src/emacs-24.3/lib \
> -I../src \
> -I/Volumes/UFS_exp2/exptools/expmake/build/gnuemacs2src/emacs-24.3/src \
> -I/opt/exp/gnu/include   -g3 -O2 careadlinkat.c
> 
>